using System;
using System.Text;
using Daolite;
using Daolite.Mapping;
using Daolite.DBControls;
using Daolite.DBControls.SqlElements;

namespace Northwind
{
	public class Sales_by_CategoryAccess  : Daolite.BusinessAccess
	{

		public  Sales_by_CategoryAccess() : base("Sales_by_Category", NwindConfiger.GetConfiger())
		{
		}


		public Sales_by_Category[] Query()
		{
			return base.Query<Sales_by_Category>();
		}


		public Sales_by_Category[] QueryRelated()
		{
			return base.QueryRelated<Sales_by_Category>();
		}


		public Sales_by_Category QueryOne(bool isRelated)
		{
			return base.QueryOne<Sales_by_Category>(new Daolite.DataStruct.KeyPairs()
			, isRelated);
		}


	}
}
